# xapian/types.h File Reference

typedefs for Xapian More...

## Namespaces

namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Typedefs

typedef unsigned | Xapian::doccount
| A count of documents.
typedef int | Xapian::doccount_diff
| A signed difference between two counts of documents.
typedef unsigned | Xapian::docid
| A unique identifier for a document.
typedef double | Xapian::doclength
| A normalised document length.
typedef int | Xapian::percent
| The percentage score for a document in an MSet.
typedef unsigned | Xapian::termcount
| A counts of terms.
typedef int | Xapian::termcount_diff
| A signed difference between two counts of terms.
typedef unsigned | Xapian::termpos
| A term position within a document or query.
typedef int | Xapian::termpos_diff
| A signed difference between two term positions.
typedef unsigned | Xapian::timeout
| A timeout value in milliseconds.
typedef unsigned | Xapian::valueno
| The number for a value slot in a document.
typedef int | Xapian::valueno_diff
| A signed difference between two value slot numbers.
typedef double | Xapian::weight
| The weight of a document or term.

## Variables

const valueno | Xapian::BAD_VALUENO = static_cast<valueno>(-1)
| Reserved value to indicate "no valueno".

## Detailed Description

typedefs for Xapian